Calendar::OrthodoxImpl Class Reference

partial calendar implementation More...

`#include <ql/time/calendar.hpp>`

Inheritance diagram for Calendar::OrthodoxImpl:
[legend]

## Public Member Functions

bool | isWeekend (Weekday) const
Public Member Functions inherited from Calendar::Impl
virtual std::string | name () const =0
virtual bool | isBusinessDay (const Date &) const =0

## Static Public Member Functions

static Day | easterMonday (Year)
| expressed relative to first day of year

## Additional Inherited Members

Public Attributes inherited from Calendar::Impl
std::set< Date > | addedHolidays
std::set< Date > | removedHolidays

## Detailed Description

partial calendar implementation

This class provides the means of determining the Orthodox Easter Monday for a given year, as well as specifying Saturdays and Sundays as weekend days.